static void Main(string[] args)
        {
            int N;
            N = int.Parse(Console.ReadLine());
            string[] niz = new string[2];
            double[] A = new double[N];
            double[] P = new double[N];
            double[] suma_niz= new double[N];
            double suma;
            for (int i = 0; i < N; i++)
            {
                niz = Console.ReadLine().Split(" ");
                A[i] = Convert.ToDouble(niz[0]);
                P[i] = Convert.ToDouble(niz[1]);
                
            }
            for (int i = 0; i < N; i++)
            {
                suma_niz[i] = 0;
                for (int j = 0; j < N; j++)
                {

                    double porez;
                    porez = P[i] / 100;
                    if(P[j]>=P[i])
                        suma_niz[i] = suma_niz[i] + A[j] * porez;
                    

                }
            }
            suma = 0;
            for (int i = 0; i < N; i++)
            {
                if (suma_niz[i] > suma)
                    suma = suma_niz[i];
            }
            Console.WriteLine(suma);
        }